.header-title-desktop{
    max-width: 1150px;
    margin: auto;
}

#main{
    overflow-x: hidden;
}

.home-header:first-child{
    text-align: left;
}
.home-header:last-child{
    text-align: right;
}

.vision-banner{
    margin: 120px 0 100px 0;
    opacity: 0;
}

.vision-banner img{
    /* width: 100%; */
    display:block;
    max-width:100%;
    margin:0 auto;
}

.vision-carousel-title{
    font-size: 55px;
    text-align: center;
    max-width: 950px;
    margin: auto;
    margin-bottom: 100px;
}

.signature-projects-pagination {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin-top: 30px;
}

.signature-bullet {
    display: inline-block;
    width: 35px;
    height: 2px;
    text-align: center;
    background: #FFFFFF;
    color: #333;
    font-weight: bold;
    cursor: pointer;
    transition: all 0.3s ease;
}

.signature-bullet-active {
    background: #D1A68F;
    color: #fff;
}

.vision-carousel-img{
    height: 600px;
    width: 100%;
    object-fit: cover;
    border-radius: 20px;
}

.carousel-section{
    margin-bottom: 80px;
}

.imagine-title{
    font-size: 55px;
    margin-bottom: 25px;
    text-align: center;
    letter-spacing: 0;
}

.imagine-text{
    max-width: 600px;
    margin: auto;
    text-align: center;
}

.imagine-section{
    margin-bottom: 100px;
}

.vision-why-wrapper{
    display: grid;
    grid-template-columns: 40% 60%;
    /* gap: 100px; */
}

.vision-why-images{
    position: relative;
}

.vision-why-img{
    transition: all 0.3s ease-in-out;
    opacity: 0;
}

.vision-why-img:not(:first-child){
    position: absolute;
    top: 0;
    left: 0;
}

.vision-why-img.active{
    opacity: 1;
}

.vision-why-img img{
    width: 100%;
    height: 480px;
    border-radius: 20px;
    object-fit: cover;
}

.vision-why-img figcaption{
    color: #785A4D;
    font-family: Figtree;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    margin-top: 15px;
}

.vision-why-texts{
    padding-left: 120px;
}

.vision-why-link{
    width: fit-content;
    position: relative;
    color: #D1A68F;
    font-family: Aboreto;
    font-size: 25px;
    font-style: normal;
    font-weight: 400;
    margin-bottom: 35px;
    transition: all 0.3s ease-in-out;
    cursor: pointer;
}

.vision-why-link::after{
    position: absolute;
    content: "";
    left: 0;
    bottom: -2px; /* adjust distance from text */
    width: 0%;
    height: 1px; 
    box-shadow: 0 1px 0 #553A30; 
    transition: width 0.3s ease-in-out;
    pointer-events: none;
}

.vision-why-link.active::after{
    width: 100%;
}

.vision-why-link.active {
    color: #553A30;
}

.vision-why-texts .section-subtitle{
    margin-bottom: 14px;
}

.vision-why-section-subtitle{
    color: #553A30;
    font-family: Aboreto;
    font-size: 35px;
    font-style: normal;
    font-weight: 400;
    margin-bottom: 27px;
}

.vision-why-section-text{
    margin-bottom: 30px;
}

.why-section{
    margin-bottom: 110px;
}

.commitment-section-title{
    max-width: 750px;
    margin: auto;
    text-align: center;
    margin-bottom: 25px;
    letter-spacing: 0;
}

.commitment-section-subtitle{
    font-size: 35px;
    max-width: 650px;
    margin: auto;
    text-align: center;
    font-family: Aboreto;
    margin-bottom: 100px;
}

.commitment-item{
    display: flex;
    align-items: center;
    gap: 110px;
    margin-bottom: 110px;
}

.commitment-item:last-child{
    margin-bottom: 120px;
}

.commitment-item:nth-child(odd) {
    flex-direction: row-reverse;
}

.commitment-item:nth-child(even) {
    flex-direction: row;
}

.commitment-item-image img{
    display: block;
    width: 600px;
    height: 435px;
    object-fit: cover;
    border-radius: 20px;
}

.commitment-item-title{
    color: #553A30;
    font-family: Aboreto;
    font-size: 35px;
    font-style: normal;
    font-weight: 400;
    max-width: 315px;
    margin-bottom: 45px;
}

.commitment-item-text{
    margin-bottom: 45px;
}

.commitment-item-icons{
    display: flex;
    align-items: flex-start;
    gap: 80px;
}

.commitment-icon{
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: center;
    width: 125px;
    text-align: center;
}

.commitment-icon-text{
    color: #785A4D;
    font-family: Aboreto;
    font-size: 15px;
    font-style: normal;
    font-weight: 400;
}

.commitment-icon-img{
    width: 80px;
    height: 80px;
    border-radius: 50%;
    background-color: #D1A68F;
    display: grid;
    place-items: center;
}

.commitment-icon-img img{
    width: 40px;
    height: auto;
}

.contact-title.mobile{
    display: none;
}



.contact-section{
    background-color: #646E5B;
    padding-top: 100px;
    padding-bottom: 80px;

}

.contact-title{
    padding-bottom: 100px;
}

.contact-title h1{
    color: #F8E3D1;
    font-family: Aboreto;
    font-size: 110px;
    font-style: normal;
    font-weight: 400;
    letter-spacing: -7.7px;
}

.contact-title.desktop h1:nth-child(2){
    text-align: center;
}

.contact-title.desktop h1:nth-child(3){
    text-align: right;
}

.contact-image img{
    width: 100%;
    height: 600px;
    object-fit: cover;
    border-radius: 20px;
    object-position: center;
    margin-bottom: 80px;
}

.contact-subtitle{
    color: #F8E3D1;
    text-align: center;
    font-family: Aboreto;
    font-size: 55px;
    font-style: normal;
    font-weight: 400;
    max-width: 700px;
    margin: auto;
}

.contact-text{
    
    max-width: 700px;
    margin: 40px auto;
    
}

.contact-text p{
    color: #FFF;
    text-align: center;
    font-family: Figtree;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    margin-bottom: 0;
}

.contact-link{
    border: 1px solid #F8E3D1;
    color: #F8E3D1;
    display: block;
    width: fit-content;
    margin: auto;
}

.contact-link:hover{
    background-color: #F8E3D1;
    color: #785A4D;
    
}

.site-footer{
    background-color: #646E5B;
}

/* to fix the sub pixel line issue */
body{
    background-color: #646E5B; 
}

.vision-why-texts-container.mobile{
    display: none;
}

.vision-banner.animate {
  animation: fadeIn 1s ease forwards;
  animation-delay: 0.6s;
}

@keyframes fadeIn {
  from { opacity: 0;  }
  to { opacity: 1;  }
}

@media screen and (max-width : 1400px){
    .vision-why-texts{
        padding-left: 80px;
    }
    .commitment-item-icons{
        gap: 40px;
    }
}

@media screen and (max-width : 1300px){
    .commitment-item-image img{
        width: 400px;
    }
}

@media screen and (max-width : 1100px){
    .vision-why-texts{
        padding-left: 40px;
    }

    .commitment-item{
        gap: 30px;
    }

    .commitment-item-icons{
        gap: 20px;
    }

    .commitment-section-title{
        font-size: 80px;
    }

    .commitment-item-image img{
        width: 300px;
    }

    .commitment-item-image img{
        gap: 10px;
    }

    .commitment-icon{
        width: 100px;
    }
}

@media screen and (max-width : 767px){
    .header-title-desktop{
        display: none;
    }

    .header-title-mobile{
        display: block;
    }

    .home-header{
        text-align: center !important;
        font-size: 50px;
    }

    .commitment-section-title{
        font-size: 46px;
    }

    .vision-banner{
        display: none;
    }

    .vision-carousel-title{
        margin-top: 40px;
        font-size: 28px;
    }

    .carousel-section .carousel-container{
        width: 100%;
        padding: 0;
    }

    .vision-carousel-img{
        border-radius: 0;
        height: 200px;
    }

    .vision-carousel-title{
        margin-bottom: 40px;
    }

    .carousel-section{
        margin-bottom: 40px;
    }

    .imagine-title{
        font-size: 28px;
        margin-bottom: 25px;
    }

    .imagine-section{
        margin-bottom: 80px;
    }

    .vision-why-wrapper{
        display: flex;
        flex-direction: column;
    }

    .vision-why-texts{
        padding-left: 0;
    }

    .vision-why-texts-container.mobile{
        display: block;
    }
    .vision-why-texts-container.desktop{
        display: none;
    }

    .vision-why-section-title{
        margin-bottom: 25px;
        letter-spacing: 8px;
        text-align: center;
        font-size: 16px;
    }

    .vision-why-section-subtitle{
        font-size: 40px;
        text-align: center;
        margin-bottom: 25px;
    }

    .vision-why-section-text{
        text-align: center;
        margin-bottom: 25px;
    }

    .vision-why-img figcaption{
        margin-top: 25px;
    }

    .vision-why-img{
        margin-bottom: 40px;
    }

    .vision-why-texts{
        text-align: center;
    }

    .vision-why-link{
        font-size: 20px;
        margin: auto;
        margin-bottom: 24px;
    }

    .vision-why-link:last-child{
        margin-bottom: 0;
    }

    .why-section{
        margin-bottom: 80px;
    }

    .commitment-section-subtitle{
        font-size: 22px;
        margin-bottom: 40px;
    }

    .commitment-item{
        flex-direction: column !important;
        gap: 25px;
    }

    .commitment-item-image{
        width: 100%;
    }

    .commitment-item-image img{
        display: block;
        width: 100%;
        height: 230px;
    }

    .commitment-item-title{
        font-size: 28px;
        max-width: 100%;
        margin-bottom: 25px;
    }

    .commitment-item-text{
        margin-bottom: 25px;
    }

    .commitment-item-icons{
        justify-content: space-between;
    }

    .commitment-icon{
        width: 90px;
    }

    .commitment-icon-img{
        width: 60px;
        height: 60px;
    }

    .commitment-icon-img img{
        width: 30px;
    }

    .commitment-item{
        margin-bottom: 40px;
    }

    .commitment-item:last-child{
        margin-bottom: 80px;
    }

    .contact-title{
        padding-bottom: 40px;
    }

    .contact-title.desktop{
        display: none;
    }
    .contact-title.mobile{
        display: block;
    }

    .contact-title h1{
        font-size: 50px;
    }

    .contact-section{
        padding-top: 80px;
    }

    .contact-img-container{
        width: 100%;
        padding: 0;
    }



    .contact-image img{
        border-radius: 0;
        height: 200px;
        margin-bottom: 40px;
    }

    .contact-subtitle{
        font-size: 28px;
        max-width: 200px;
    }

}

@media screen and (max-width : 400px){
    .commitment-section-title{
        font-size: 40px;
    }

    .home-header{
        font-size: 40px;
    }
}